Skip to main content
POST
/
project
/
{id}
/
key
/
{key_id}
/
regenerate
Regenerate API key
curl --request POST \
  --url https://api.basic.tech/project/{id}/key/{key_id}/regenerate \
  --header 'Authorization: Bearer <token>'
{
  "key": {
    "id": "<string>",
    "label": "<string>",
    "roles": "<string>",
    "value": "<string>",
    "is_private": true,
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.basic.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization Token header using the Bearer scheme

Path Parameters

id
string
required

Unique identifier of the project

key_id
string
required

Unique identifier of the API key to regenerate

Response

API key regenerated successfully

API key regenerated successfully

key
object